Browse Source

added diagrams using PlantUML

Costa Tsaousis 8 years ago
parent
commit
dffd3b4edb
4 changed files with 109 additions and 0 deletions
  1. 6 0
      .gitignore
  2. 2 0
      Makefile.am
  3. 17 0
      diagrams/build.sh
  4. 84 0
      diagrams/registry.puml

+ 6 - 0
.gitignore

@@ -89,3 +89,9 @@ profile/benchmark-dictionary
 profile/benchmark-registry
 
 *.pyc
+
+diagrams/*.png
+diagrams/*.atxt
+diagrams/plantuml.jar
+
+netdata.cppcheck

+ 2 - 0
Makefile.am

@@ -39,6 +39,7 @@ SUBDIRS = \
 	$(NULL)
 
 dist_noinst_DATA= \
+	diagrams/registry.puml \
 	configs.signatures \
 	Dockerfile \
 	netdata.spec \
@@ -47,6 +48,7 @@ dist_noinst_DATA= \
 # until integrated within build
 # should be proper init.d/openrc/systemd usable
 dist_noinst_SCRIPTS= \
+	diagrams/build.sh \
 	coverity-scan.sh \
 	docker-build.sh \
 	netdata-installer.sh \

+ 17 - 0
diagrams/build.sh

@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+path=$(dirname "$0")
+cd "${path}" || exit 1
+
+if [ ! -f "plantuml.jar" ]
+then
+	echo >&2 "Please download 'plantuml.jar' from http://plantuml.com/ and put it the same folder with me."
+	exit 1
+fi
+
+for x in *.puml
+do
+	echo >&2 "Working on ${x}..."
+	java -jar plantuml.jar -tpng "${x}"
+	# java -jar plantuml.jar -ttxt "${x}"
+done

+ 84 - 0
diagrams/registry.puml

@@ -0,0 +1,84 @@
+@startuml
+
+skinparam handwritten true
+skinparam monochrome true
+skinparam roundcorner 15
+
+skinparam sequence {
+    ArrowThickness 3
+
+    DividerFontColor Black
+    DividerFontName Comic Sans MS
+    DividerFontSize 15
+    DividerFontStyle Italic
+
+    DelayFontColor Black
+    DelayFontName Comic Sans MS
+    DelayFontSize 15
+    DelayFontStyle Italic
+
+    TitleFontColor Black
+    TitleFontName Comic Sans MS
+    TitleFontStyle Italic
+    TitleFontSize 25
+
+	ArrowColor DeepSkyBlue
+    ArrowFontColor Black
+    ArrowFontName Comic Sans MS
+    ArrowFontStyle Regular
+    ArrowFontSize 19
+
+	ActorBorderColor DeepSkyBlue
+
+	LifeLineBorderColor blue
+	LifeLineBackgroundColor #A9DCDF
+
+	ParticipantBorderColor DeepSkyBlue
+	ParticipantBackgroundColor LightBlue
+	ParticipantFontName Comic Sans MS
+	ParticipantFontSize 20
+	ParticipantFontColor Black
+
+	ActorBackgroundColor aqua
+	ActorFontColor Black
+	ActorFontSize 20
+	ActorFontName Comic Sans MS
+}
+
+title netdata registry operation
+actor "web browser" as user
+participant "netdata 1" as n1
+participant "registry 1" as r1
+autonumber "<b>0."
+
+== standard dashboard communication ==
+
+user ->n1 : \
+    hi, give me the dashboard
+
+n1 --> user : \
+    welcome, here it is...
+
+... a few seconds later ...
+
+== registry related communication ==
+
+user -> n1 : \
+    now give me registry information
+
+n1 --> user: \
+    here it is, talk to <b>registry 1</b>
+
+note left of r1 #eee: \
+    only your web browser \n\
+    talks to the registry
+
+user -> r1 : \
+    Hey <b>registry 1</b>, \
+I am accessing <b>netdata 1</b>...
+
+r1 --> user : \
+    nice!, here are other netdata servers \
+you have accessed in the past
+
+@enduml